Bug 46460 - Missing Circles and Ovals toolbar.
Summary: Missing Circles and Ovals toolbar.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta1
Hardware: Other Linux (All)
: medium enhancement
Assignee: Rob Snelders
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-22 06:52 UTC by addammo
Modified: 2013-01-11 00:47 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description addammo 2012-02-22 06:52:08 UTC
I cannot find any Circles and Ovals toolbar.
Maybe missing other toolbars?
Comment 1 Regina Henschel 2012-02-23 14:58:04 UTC
You have to customize the toolbar and add the command manually. It is in the category 'drawing' the command 'Ellipse'. Look at the description text, which of the two items is the toolbox.

I agree, that it should be there from the beginning.
Comment 2 cciach 2012-08-18 19:48:20 UTC
I cannot believe that OpenOffice has this bug since 2005 and it's still not fixed in LibreOffice. Is this so hard to fix or is there just no love for LibreOffice Draw?
Comment 3 Peter Keller 2012-12-20 18:12:55 UTC
This toolbar is still missing, because it does not appear on the list of toolbars that you get with View | Toolbars in Drawing. It does appear there in Impress (so can be opened without adding it to another toolbar), which is an inconsistency.

I think that it is also a mistake to call it "Ellipse", because:

(i) that name is already used by the simple "Ellipse" button that is on the drawing toolbar by default

(ii) the documentation calls the toolbar "Circles and Ovals" ("Ellipse" is the name of the icon).

Even if it is not on the drawing toolbar by default, can the toolbar be renamed to make it unique and consistent with the documentation, and be handled in the same way in Impress and Drawing?
Comment 4 Rob Snelders 2012-12-20 20:43:02 UTC
submitted a patch to gerrit to enable the Circles and Ovals.

https://gerrit.libreoffice.org/#/c/1456/
Comment 5 Not Assigned 2013-01-10 12:57:36 UTC
Rob Snelders committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dcd974c3ca70065ba1d984ad6bd5514848cd58a9

- fdo#46460 - Missing Circles and Ovals toolbar



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2013-01-10 13:04:29 UTC
I proposed it for 4-0 on gerrit as well
Comment 7 Not Assigned 2013-01-11 00:47:37 UTC
Rob Snelders committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d32d05c70bc8e6389e80b33f5a7156ff7836f6da&h=libreoffice-4-0

- fdo#46460 - Missing Circles and Ovals toolbar


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.